/**
 * @file main.h
 * @brief Header possédant les inclusions de module, déclarations de constante & prototypes de fonction.
*/

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

// Constantes
#define tmaxArticles 500
#define tmaxClients 750

//! TRAITEMENT DES FICHIERS
void chargeDonnees(int *tLogArticle, int *tLogClient,int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[]);
int chargeArticles(int reference[], float weight[], float volume[], float unitPrice[]);
int chargeClients(int clientID[], float cagnotte[], int suspended[]);

void sauvegardeDonnees(int tLogArticle, int tLogClient, int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[]);
void sauvegardeArticles(int reference[], float weight[], float volume[], float unitPrice[], int tLogArticle);
void sauvegardeClients(int clientID[], float cagnotte[], int suspended[], int tLogClient);

//! GESTION CLIENTS
void inputClient(int clientID[], float cagnotte[], int suspended[], int *tlo);
void modifyClient(int clientID[], float cagnotte[], int suspended[], int tlog);

//! GESTION STOCKS
void inputItem(int tabReference[], float tabWeight[], float tabVolume[], float unitPrice[], int *tlog);

//! AFFICHAGE DES DONNEES
void displayAItem(int reference[], float weight[], float volume[], float unitPrice[], int tlog);
void displayItemList(int reference[], float weight[], float volume[], float unitPrice[], int log);
void displayClient(int clientID[], float cagnotte[], int suspended[], int tlog);
void displayClientList(int clientID[], float cagnotte[], int suspended[], int tlog);

//! RECHERCHE
int recherche(int val, int tab[], int tlog);

//! PANIER
void clientConstraint(float *weight, float *volume, float *price);
int constraintExceeded(float weightConstraint, float volumeConstraint, float *priceConstraint, float tabWeight[], float tabVolume[], float tabUnitPrice[], int tabQuantity[], int tlog, float *cagnotte);